# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/PanzerDofMgr clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "PanzerDofMgr requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/PanzerDofMgr build
## ---------------------------------------------------------------------------

set(PanzerDofMgr_CXX_COMPILER "/usr/bin/mpicxx")

set(PanzerDofMgr_C_COMPILER "/usr/bin/mpicc")

set(PanzerDofMgr_Fortran_COMPILER "/usr/bin/mpif90")
# Deprecated!
set(PanzerDofMgr_FORTRAN_COMPILER "/usr/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/PanzerDofMgr build
## ---------------------------------------------------------------------------

## Give the build type
set(PanzerDofMgr_CMAKE_BUILD_TYPE "RELEASE")

## Set compiler flags, including those determined by build type
set(PanzerDofMgr_CXX_FLAGS [[ -O3 -DNDEBUG]])

set(PanzerDofMgr_C_FLAGS [[  -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -flto=auto -Wno-incompatible-pointer-types -O3 -DNDEBUG]])

set(PanzerDofMgr_Fortran_FLAGS [[ -O3]])
# Deprecated
set(PanzerDofMgr_FORTRAN_FLAGS [[ -O3]])

## Extra link flags (e.g., specification of fortran libraries)
set(PanzerDofMgr_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(PanzerDofMgr_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/lib")
set(PanzerDofMgr_BUILD_SHARED_LIBS "ON")

set(PanzerDofMgr_LINKER /usr/bin/ld)
set(PanzerDofMgr_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(PanzerDofMgr_INSTALL_DIR "/usr")

## List of package libraries
set(PanzerDofMgr_LIBRARIES PanzerDofMgr::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(PanzerDofMgr_MPI_LIBRARIES "")
set(PanzerDofMgr_MPI_LIBRARY_DIRS "")
set(PanzerDofMgr_MPI_INCLUDE_DIRS "")
set(PanzerDofMgr_MPI_EXEC "/usr/bin/mpiexec")
set(PanzerDofMgr_MPI_EXEC_MAX_NUMPROCS "4")
set(PanzerDofMgr_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(PanzerDofMgr_ENABLE_Shards ON)
set(PanzerDofMgr_ENABLE_Intrepid2 ON)
set(PanzerDofMgr_ENABLE_TeuchosCore ON)
set(PanzerDofMgr_ENABLE_TeuchosComm ON)
set(PanzerDofMgr_ENABLE_Tpetra ON)
set(PanzerDofMgr_ENABLE_Phalanx ON)
set(PanzerDofMgr_ENABLE_PanzerCore ON)
set(PanzerDofMgr_ENABLE_MPI ON)
set(PanzerDofMgr_ENABLE_Epetra ON)

# Exported cache variables
set(Panzer_ENABLE_DEBUG "OFF")
set(PANZER_DEBUG "OFF")
set(Panzer_ENABLE_EXPLICIT_INSTANTIATION "ON")
set(HAVE_PANZER_EXPLICIT_INSTANTIATION "ON")

# Include configuration of dependent packages
if (NOT TARGET Shards::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Shards/ShardsConfig.cmake")
endif()
if (NOT TARGET Intrepid2::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Intrepid2/Intrepid2Config.cmake")
endif()
if (NOT TARGET TeuchosCore::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosCore/TeuchosCoreConfig.cmake")
endif()
if (NOT TARGET TeuchosComm::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosComm/TeuchosCommConfig.cmake")
endif()
if (NOT TARGET Tpetra::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Tpetra/TpetraConfig.cmake")
endif()
if (NOT TARGET Phalanx::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Phalanx/PhalanxConfig.cmake")
endif()
if (NOT TARGET PanzerCore::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../PanzerCore/PanzerCoreConfig.cmake")
endif()
if (NOT TARGET MPI::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../../external_packages/MPI/MPIConfig.cmake")
endif()
if (NOT TARGET Epetra::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Epetra/EpetraConfig.cmake")
endif()

# Import PanzerDofMgr targets
include("${CMAKE_CURRENT_LIST_DIR}/PanzerDofMgrTargets.cmake")

# Standard TriBITS-compliant external package variables
set(PanzerDofMgr_IS_TRIBITS_COMPLIANT TRUE)
set(PanzerDofMgr_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(PanzerDofMgr_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(PanzerDofMgr_EXPORTED_PACKAGE_LIBS_NAMES "panzer-dof-mgr")

foreach(libname IN LISTS PanzerDofMgr_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE PanzerDofMgr::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'PanzerDofMgr::${libname}', or better yet,"
      " 'PanzerDofMgr::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'PanzerDofMgr'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'PanzerDofMgr_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
