# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/SEACASAprepro_lib clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "SEACASAprepro_lib requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/SEACASAprepro_lib build
## ---------------------------------------------------------------------------

set(SEACASAprepro_lib_CXX_COMPILER "/usr/bin/mpicxx")

set(SEACASAprepro_lib_C_COMPILER "/usr/bin/mpicc")

set(SEACASAprepro_lib_Fortran_COMPILER "/usr/bin/mpif90")
# Deprecated!
set(SEACASAprepro_lib_FORTRAN_COMPILER "/usr/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/SEACASAprepro_lib build
## ---------------------------------------------------------------------------

## Give the build type
set(SEACASAprepro_lib_CMAKE_BUILD_TYPE "RELEASE")

## Set compiler flags, including those determined by build type
set(SEACASAprepro_lib_CXX_FLAGS [[ -O3 -DNDEBUG]])

set(SEACASAprepro_lib_C_FLAGS [[  -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -flto=auto -Wno-incompatible-pointer-types -O3 -DNDEBUG]])

set(SEACASAprepro_lib_Fortran_FLAGS [[ -O3]])
# Deprecated
set(SEACASAprepro_lib_FORTRAN_FLAGS [[ -O3]])

## Extra link flags (e.g., specification of fortran libraries)
set(SEACASAprepro_lib_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(SEACASAprepro_lib_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/lib")
set(SEACASAprepro_lib_BUILD_SHARED_LIBS "ON")

set(SEACASAprepro_lib_LINKER /usr/bin/ld)
set(SEACASAprepro_lib_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(SEACASAprepro_lib_INSTALL_DIR "/usr")

## List of package libraries
set(SEACASAprepro_lib_LIBRARIES SEACASAprepro_lib::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(SEACASAprepro_lib_MPI_LIBRARIES "")
set(SEACASAprepro_lib_MPI_LIBRARY_DIRS "")
set(SEACASAprepro_lib_MPI_INCLUDE_DIRS "")
set(SEACASAprepro_lib_MPI_EXEC "/usr/bin/mpiexec")
set(SEACASAprepro_lib_MPI_EXEC_MAX_NUMPROCS "4")
set(SEACASAprepro_lib_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(SEACASAprepro_lib_ENABLE_SEACASExodus ON)

# Exported cache variables
set(SEACAS_ENABLE_DEBUG "OFF")
set(HAVE_SEACAS_DEBUG "OFF")
set(SEACASExodus_ENABLE_THREADSAFE "OFF")
set(EXODUS_THREADSAFE "OFF")
set(SEACASExodus_ENABLE_STATIC "OFF")
set(EXODUS_STATIC "OFF")
set(SEACASExodus_ENABLE_SHARED "OFF")
set(EXODUS_SHARED "OFF")
set(SEACASIoss_ENABLE_THREADSAFE "OFF")
set(IOSS_THREADSAFE "OFF")

# Include configuration of dependent packages
if (NOT TARGET SEACASExodus::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../SEACASExodus/SEACASExodusConfig.cmake")
endif()

# Import SEACASAprepro_lib targets
include("${CMAKE_CURRENT_LIST_DIR}/SEACASAprepro_libTargets.cmake")

# Standard TriBITS-compliant external package variables
set(SEACASAprepro_lib_IS_TRIBITS_COMPLIANT TRUE)
set(SEACASAprepro_lib_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(SEACASAprepro_lib_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(SEACASAprepro_lib_EXPORTED_PACKAGE_LIBS_NAMES "aprepro_lib")

foreach(libname IN LISTS SEACASAprepro_lib_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE SEACASAprepro_lib::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'SEACASAprepro_lib::${libname}', or better yet,"
      " 'SEACASAprepro_lib::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'SEACASAprepro_lib'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'SEACASAprepro_lib_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
