# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/ShyLU_Node clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "ShyLU_Node requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/ShyLU_Node build
## ---------------------------------------------------------------------------

set(ShyLU_Node_CXX_COMPILER "/usr/bin/mpicxx")

set(ShyLU_Node_C_COMPILER "/usr/bin/mpicc")

set(ShyLU_Node_Fortran_COMPILER "/usr/bin/mpif90")
# Deprecated!
set(ShyLU_Node_FORTRAN_COMPILER "/usr/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/ShyLU_Node build
## ---------------------------------------------------------------------------

## Give the build type
set(ShyLU_Node_CMAKE_BUILD_TYPE "RELEASE")

## Set compiler flags, including those determined by build type
set(ShyLU_Node_CXX_FLAGS [[ -O3 -DNDEBUG]])

set(ShyLU_Node_C_FLAGS [[  -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -flto=auto -Wno-incompatible-pointer-types -O3 -DNDEBUG]])

set(ShyLU_Node_Fortran_FLAGS [[ -O3]])
# Deprecated
set(ShyLU_Node_FORTRAN_FLAGS [[ -O3]])

## Extra link flags (e.g., specification of fortran libraries)
set(ShyLU_Node_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(ShyLU_Node_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/lib")
set(ShyLU_Node_BUILD_SHARED_LIBS "ON")

set(ShyLU_Node_LINKER /usr/bin/ld)
set(ShyLU_Node_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(ShyLU_Node_INSTALL_DIR "/usr")

## List of package libraries
set(ShyLU_Node_LIBRARIES ShyLU_Node::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(ShyLU_Node_MPI_LIBRARIES "")
set(ShyLU_Node_MPI_LIBRARY_DIRS "")
set(ShyLU_Node_MPI_INCLUDE_DIRS "")
set(ShyLU_Node_MPI_EXEC "/usr/bin/mpiexec")
set(ShyLU_Node_MPI_EXEC_MAX_NUMPROCS "4")
set(ShyLU_Node_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(ShyLU_Node_ENABLE_ShyLU_NodeHTS ON)
set(ShyLU_Node_ENABLE_ShyLU_NodeTacho ON)
set(ShyLU_Node_ENABLE_ShyLU_NodeBasker OFF)
set(ShyLU_Node_ENABLE_ShyLU_NodeFastILU ON)

# Exported cache variables

# Include configuration of dependent packages
if (NOT TARGET ShyLU_NodeHTS::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../ShyLU_NodeHTS/ShyLU_NodeHTSConfig.cmake")
endif()
if (NOT TARGET ShyLU_NodeTacho::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../ShyLU_NodeTacho/ShyLU_NodeTachoConfig.cmake")
endif()
if (NOT TARGET ShyLU_NodeFastILU::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../ShyLU_NodeFastILU/ShyLU_NodeFastILUConfig.cmake")
endif()

# Import ShyLU_Node targets
include("${CMAKE_CURRENT_LIST_DIR}/ShyLU_NodeTargets.cmake")

# Standard TriBITS-compliant external package variables
set(ShyLU_Node_IS_TRIBITS_COMPLIANT TRUE)
set(ShyLU_Node_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(ShyLU_Node_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(ShyLU_Node_EXPORTED_PACKAGE_LIBS_NAMES "shylu_nodehts;ShyLU_NodeHTS_all_libs;tacho;ShyLU_NodeTacho_all_libs;shylu_nodefastilu;ShyLU_NodeFastILU_all_libs")

foreach(libname IN LISTS ShyLU_Node_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE ShyLU_Node::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'ShyLU_Node::${libname}', or better yet,"
      " 'ShyLU_Node::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'ShyLU_Node'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'ShyLU_Node_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
