# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/ThyraEpetraExtAdapters clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "ThyraEpetraExtAdapters requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/ThyraEpetraExtAdapters build
## ---------------------------------------------------------------------------

set(ThyraEpetraExtAdapters_CXX_COMPILER "/usr/bin/mpicxx")

set(ThyraEpetraExtAdapters_C_COMPILER "/usr/bin/mpicc")

set(ThyraEpetraExtAdapters_Fortran_COMPILER "/usr/bin/mpif90")
# Deprecated!
set(ThyraEpetraExtAdapters_FORTRAN_COMPILER "/usr/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/ThyraEpetraExtAdapters build
## ---------------------------------------------------------------------------

## Give the build type
set(ThyraEpetraExtAdapters_CMAKE_BUILD_TYPE "RELEASE")

## Set compiler flags, including those determined by build type
set(ThyraEpetraExtAdapters_CXX_FLAGS [[ -O3 -DNDEBUG]])

set(ThyraEpetraExtAdapters_C_FLAGS [[  -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -flto=auto -Wno-incompatible-pointer-types -O3 -DNDEBUG]])

set(ThyraEpetraExtAdapters_Fortran_FLAGS [[ -O3]])
# Deprecated
set(ThyraEpetraExtAdapters_FORTRAN_FLAGS [[ -O3]])

## Extra link flags (e.g., specification of fortran libraries)
set(ThyraEpetraExtAdapters_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(ThyraEpetraExtAdapters_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/lib")
set(ThyraEpetraExtAdapters_BUILD_SHARED_LIBS "ON")

set(ThyraEpetraExtAdapters_LINKER /usr/bin/ld)
set(ThyraEpetraExtAdapters_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(ThyraEpetraExtAdapters_INSTALL_DIR "/usr")

## List of package libraries
set(ThyraEpetraExtAdapters_LIBRARIES ThyraEpetraExtAdapters::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(ThyraEpetraExtAdapters_MPI_LIBRARIES "")
set(ThyraEpetraExtAdapters_MPI_LIBRARY_DIRS "")
set(ThyraEpetraExtAdapters_MPI_INCLUDE_DIRS "")
set(ThyraEpetraExtAdapters_MPI_EXEC "/usr/bin/mpiexec")
set(ThyraEpetraExtAdapters_MPI_EXEC_MAX_NUMPROCS "4")
set(ThyraEpetraExtAdapters_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(ThyraEpetraExtAdapters_ENABLE_ThyraCore ON)
set(ThyraEpetraExtAdapters_ENABLE_ThyraEpetraAdapters ON)
set(ThyraEpetraExtAdapters_ENABLE_Epetra ON)
set(ThyraEpetraExtAdapters_ENABLE_EpetraExt ON)

# Exported cache variables
set(Thyra_ENABLE_DEBUG "OFF")
set(HAVE_THYRA_DEBUG "OFF")
set(Thyra_ENABLE_EXPLICIT_INSTANTIATION "ON")
set(HAVE_THYRA_EXPLICIT_INSTANTIATION "ON")
set(Thyra_ENABLE_ME_POLYNOMIAL "ON")
set(HAVE_THYRA_ME_POLYNOMIAL "ON")
set(Thyra_ENABLE_HESSIAN_SUPPORT "ON")
set(Thyra_BUILD_HESSIAN_SUPPORT "ON")

# Include configuration of dependent packages
if (NOT TARGET ThyraCore::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../ThyraCore/ThyraCoreConfig.cmake")
endif()
if (NOT TARGET ThyraEpetraAdapters::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../ThyraEpetraAdapters/ThyraEpetraAdaptersConfig.cmake")
endif()
if (NOT TARGET Epetra::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Epetra/EpetraConfig.cmake")
endif()
if (NOT TARGET EpetraExt::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../EpetraExt/EpetraExtConfig.cmake")
endif()

# Import ThyraEpetraExtAdapters targets
include("${CMAKE_CURRENT_LIST_DIR}/ThyraEpetraExtAdaptersTargets.cmake")

# Standard TriBITS-compliant external package variables
set(ThyraEpetraExtAdapters_IS_TRIBITS_COMPLIANT TRUE)
set(ThyraEpetraExtAdapters_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(ThyraEpetraExtAdapters_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(ThyraEpetraExtAdapters_EXPORTED_PACKAGE_LIBS_NAMES "thyraepetraext")

foreach(libname IN LISTS ThyraEpetraExtAdapters_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE ThyraEpetraExtAdapters::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'ThyraEpetraExtAdapters::${libname}', or better yet,"
      " 'ThyraEpetraExtAdapters::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'ThyraEpetraExtAdapters'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'ThyraEpetraExtAdapters_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
